%bcond_without packagekit

Summary:	Plasma 5 package manager
Name:		discover
Version:	5.11.5
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{name}-%{version}.tar.xz
Patch0:		discover-5.11.4-soname.patch
# Revert upstream commits that added rpath to libraries
# https://quickgit.kde.org/?p=discover.git&a=commitdiff&h=7e099790f3603fd0bf343fb85deab3a1425b8972
# https://quickgit.kde.org/?p=discover.git&a=commitdiff&h=6e92f5638ddd0a0ff257d2f425d1bbcbb35eba32
Patch1:		discover-5.11.4-library-install-path.patch
BuildRequires:	extra-cmake-modules
%if %{with packagekit}
BuildRequires:	appstream-qt5-devel
BuildRequires:	pkgconfig(packagekitqt5)
%endif
BuildRequires:	kf5attica-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5declarative-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5itemviews-devel
BuildRequires:	kf5kdelibs4support-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5newstuff-devel
BuildRequires:	kf5notifications-devel
BuildRequires:	kf5plasma-devel
BuildRequires:	kf5solid-devel
BuildRequires:	kf5wallet-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	kirigami2-devel
BuildRequires:	pkgconfig(flatpak)
BuildRequires:	pkgconfig(phonon4qt5)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5QuickWidgets)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
Requires:	%{name}-backend-kns
Suggests:	%{name}-backend-flatpak
Requires:	kirigami2
Conflicts:	muon < 5.5
Obsoletes:	muon < 5.5

%description
Plasma 5 package manager.

%files -f %{name}.lang
%{_kde5_applicationsdir}/org.kde.discover.desktop
%{_kde5_applicationsdir}/org.kde.discover.urlhandler.desktop
%{_kde5_bindir}/plasma-discover
%dir %{_kde5_datadir}/discover/pkcategories/
%{_kde5_datadir}/discover/pkcategories/*
%{_kde5_iconsdir}/hicolor/*/apps/plasmadiscover.*
%{_kde5_libexecdir}/kf5/discover/runservice
%{_kde5_xmlguidir}/plasmadiscover/plasmadiscoverui.rc
%{_appdatadir}/org.kde.discover.appdata.xml

#----------------------------------------------------------------------------

%package backend-flatpak
Summary:	Flatpak backend for Discover
Group:		Graphical desktop/KDE
Requires:	flatpak
Requires:	xdg-desktop-portal-kde

%description backend-flatpak
Flatpak backend for Discover.

%files backend-flatpak
%{_kde5_applicationsdir}/org.kde.discover-flatpak.desktop
%{_kde5_datadir}/libdiscover/categories/flatpak-backend-categories.xml
%{_qt5_plugindir}/discover/flatpak-backend.so
%{_qt5_plugindir}/discover-notifier/FlatpakNotifier.so

#----------------------------------------------------------------------------

%package backend-kns
Summary:	KNewStuff backend for Discover
Group:		Graphical desktop/KDE
Obsoletes:	muon-backend-kns < 5.5

%description backend-kns
KNewStuff backend for Discover.

%files backend-kns
%{_kde5_sysconfdir}/xdg/discover_ktexteditor_codesnippets_core.knsrc
%{_qt5_plugindir}/discover/kns-backend.so

#----------------------------------------------------------------------------

%if %{with packagekit}
%package backend-packagekit
Summary:	PackageKit backend for Discover
Group:		Graphical desktop/KDE
Obsoletes:	muon-backend-packagekit < 5.5

%description backend-packagekit
PackageKit backend for Discover.

%files backend-packagekit
%{_kde5_datadir}/libdiscover/categories/packagekit-backend-categories.xml
%{_qt5_plugindir}/discover/packagekit-backend.so
%{_qt5_plugindir}/discover-notifier/DiscoverPackageKitNotifier.so
%endif

#----------------------------------------------------------------------------

%package -n plasma5-applet-discovernotifier
Summary:	Plasma 5 Discover notifier plasmoid
Group:		Graphical desktop/KDE
Requires:	%{name}
Obsoletes:	plasma5-applet-muonnotifier < 5.5

%description -n plasma5-applet-discovernotifier
Plasma 5 Discover notifier plasmoid.

%files -n plasma5-applet-discovernotifier -f plasma_applet_org.kde.discovernotifier.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.discovernotifier/
%{_kde5_datadir}/plasma/plasmoids/org.kde.discovernotifier/*
%{_kde5_services}/plasma-applet-org.kde.discovernotifier.desktop
%dir %{_kde5_qmldir}/org/kde/discovernotifier/
%{_kde5_qmldir}/org/kde/discovernotifier/*
%{_appdatadir}/org.kde.discovernotifier.appdata.xml

#----------------------------------------------------------------------------

%package -n libdiscover-common
Summary:	Plasma 5 package manager library common data files
Group:		Graphical desktop/KDE
Conflicts:	libmuon-common < 5.5
Obsoletes:	libmuon-common < 5.5
BuildArch:	noarch

%description -n libdiscover-common
Plasma 5 package manager library common data files.

%files -n libdiscover-common
%{_kde5_notificationsdir}/discoverabstractnotifier.notifyrc

#----------------------------------------------------------------------------

%package -n libdiscover-i18n
Summary:	Plasma 5 package manager library translations
Group:		System/Internationalization
Obsoletes:	libmuon-i18n < 5.5
BuildArch:	noarch

%description -n libdiscover-i18n
Plasma 5 package manager library translations.

%files -n libdiscover-i18n -f libdiscover.lang

#----------------------------------------------------------------------------

%define discovercommon_major 5
%define libdiscovercommon %mklibname discovercommon %{discovercommon_major}

%package -n %{libdiscovercommon}
Summary:	Plasma 5 package manager shared library
Group:		System/Libraries
Requires:	libdiscover-common
Requires:	libdiscover-i18n
Obsoletes:	%{_lib}muoncommon5 < 5.5
Obsoletes:	%{_lib}discover-qml  < 5.11

%description -n %{libdiscovercommon}
Plasma 5 package manager shared library.

%files -n %{libdiscovercommon}
%{_kde5_libdir}/libDiscoverCommon.so.%{discovercommon_major}*

#----------------------------------------------------------------------------

%define discovernotifiers_major 5
%define libdiscovernotifiers %mklibname discovernotifiers %{discovernotifiers_major}

%package -n %{libdiscovernotifiers}
Summary:	Plasma 5 package manager shared library
Group:		System/Libraries
Requires:	libdiscover-i18n
Obsoletes:	%{_lib}notifiers5 < 5.5

%description -n %{libdiscovernotifiers}
Plasma 5 package manager shared library.

%files -n %{libdiscovernotifiers}
%{_kde5_libdir}/libDiscoverNotifiers.so.%{discovernotifiers_major}*

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

rm -f %{buildroot}%{_kde5_libdir}/libDiscoverCommon.so
rm -f %{buildroot}%{_kde5_libdir}/libDiscoverNotifiers.so

%find_lang plasma-discover plasma-discover-exporter plasma-discover-notifier plasma-discover-updater %{name}.lang
%find_lang plasma_applet_org.kde.discovernotifier
%find_lang libdiscover

%changelog

* Fri Jan 05 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.5-1
- (e8763f4) New version 5.11.5

* Wed Dec 20 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.4-1
- (084c79c) Drop discover-qml package
- (Andrey Bondrov: a392c42) Re-diff patches
- (Andrey Bondrov: bd5fd33) New version 5.11.4

* Thu Aug 24 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.5-3
- (d209e6c) Only flatpak backend should require xdg-desktop-portal-kde
- (Andrey Bondrov: 38578fd) Require xdg-desktop-portal-kde

* Thu Aug 24 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.5-2
- (2b0f432) Flatpak backend requires flatpak

* Wed Aug 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.5-1
- (bd70210) Add flatpak backend subpackage
- (Andrey Bondrov: c50b3fa) Build requires pkgconfig(flatpak)
- (Andrey Bondrov: 7447da2) Update files
- (Andrey Bondrov: 417089a) New version 5.10.5

* Wed Aug 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.4-1
- (9bb57bd) Update files
- (Andrey Bondrov: e046ce0) New version 5.10.4

* Wed Mar 22 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.4-1
- (8bd7701) New version 5.9.4

* Wed Mar 01 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.3-1
- (e22ea12) New version 5.9.3

* Thu Feb 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.2-1
- (8a99085) New version 5.9.2

* Mon Feb 13 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.1-1
- (ed62741) New version 5.9.1

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-2
- (63785bc) MassBuild#1230: Increase release tag

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (d9e98c6) Build requires kirigami2-devel, package requires kirigami2
- (Andrey Bondrov: 810db19) Update files
- (Andrey Bondrov: f735f1c) New version 5.9.0

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-2
- (d114687) MassBuild#1211: Increase release tag

* Mon Nov 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-1
- (d934765) Update files
- (Andrey Bondrov: cbc6300) Re-diff library-install-path patch
- (Andrey Bondrov: 240aa42) New version 5.8.3

* Tue Oct 25 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.2-2
- (096f4c9) Use _appdatadir macro
- (Andrey Bondrov: 331a441) MassBuild#1169: Increase release tag

* Thu Jul 21 2016 valerol <valerol@ya.ru> 5.7.2-1
- (20b16af) Update files
- (valerol: 93d2ea5) Update files
- (valerol: 1276ada) Drop translations hack, no longer needed


